Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.avalon
Class TorqueComponent

    java.lang.Object
      org.apache.torque.TorqueInstance
          org.apache.torque.avalon.TorqueComponent

All Implemented Interfaces:
  org.apache.avalon.framework.activity.Disposable, org.apache.avalon.framework.activity.Initializable, org.apache.avalon.framework.component.Component, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.thread.ThreadSafe, Torque

    public class TorqueComponent

extends TorqueInstance
implements Torque, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.activity.Initializable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.activity.Disposable, org.apache.avalon.framework.thread.ThreadSafe

Avalon component for Torque.

Version:
  $Id: TorqueComponent.java 1402640 2012-10-26 19:58:19Z tfischer $
Author:
  Martin Poeschl, Henning P. Schmiedehausen, Thomas Vandahl

Field Summary

Fields inherited from interface org.apache.torque.avalon.Torque
`ROLE`

Constructor Summary
`TorqueComponent()`

Method Summary
`void` | `configure(org.apache.avalon.framework.configuration.Configuration configuration)`
`void` | `contextualize(org.apache.avalon.framework.context.Context context)`
`void` | `dispose()`
`void` | `enableLogging(org.apache.avalon.framework.logger.Logger aLogger)`
`org.apache.avalon.framework.logger.Logger` | `getLogger()` Convenience method to provide the Avalon logger the way AbstractLogEnabled does.
`void` | `initialize()`

Methods inherited from class org.apache.torque.TorqueInstance
`closeConnection, getAdapter, getConfiguration, getConnection, getConnection, getConnection, getDatabase, getDatabaseMap, getDatabaseMap, getDatabases, getDataSourceFactory, getDB, getDefaultDB, getManager, getManager, getOrCreateDatabase, getSchema, init, init, initManagerMappings, isInit, registerIDBroker, setConfiguration, setSchema, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.torque.avalon.Torque
`closeConnection, getAdapter, getConfiguration, getConnection, getConnection, getConnection, getDatabase, getDatabaseMap, getDatabaseMap, getDatabases, getDB, getDefaultDB, getManager, getManager, getOrCreateDatabase, getSchema, isInit, setSchema`

Constructor Detail

### TorqueComponent

    public TorqueComponent()

Method Detail

### enableLogging

    public void enableLogging(org.apache.avalon.framework.logger.Logger aLogger)

  Specified by:
    `enableLogging` in interface `org.apache.avalon.framework.logger.LogEnabled`
  See Also:
    `LogEnabled.enableLogging(org.apache.avalon.framework.logger.Logger)`

### getLogger

    public org.apache.avalon.framework.logger.Logger getLogger()

  Convenience method to provide the Avalon logger the way AbstractLogEnabled does.

### configure

    public void configure(org.apache.avalon.framework.configuration.Configuration configuration)
                   throws org.apache.avalon.framework.configuration.ConfigurationException

  Specified by:
    `configure` in interface `org.apache.avalon.framework.configuration.Configurable`
  Throws:
    `org.apache.avalon.framework.configuration.ConfigurationException`
  See Also:
    `Configurable.configure(org.apache.avalon.framework.configuration.Configuration)`

### contextualize

    public void contextualize(org.apache.avalon.framework.context.Context context)
                       throws org.apache.avalon.framework.context.ContextException

  Specified by:
    `contextualize` in interface `org.apache.avalon.framework.context.Contextualizable`
  Throws:
    `org.apache.avalon.framework.context.ContextException`
  See Also:
    `Contextualizable`

### initialize

    public void initialize()
                    throws Exception

  Specified by:
    `initialize` in interface `org.apache.avalon.framework.activity.Initializable`
  Throws:
    `Exception`
  See Also:
    `Initializable.initialize()`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.apache.avalon.framework.activity.Disposable`
  See Also:
    `Disposable.dispose()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.